Sign in

Render Form

GET https://{organization}.myguper.com/api/register/datacapture/{formID}/render/{sID}

Renders a configurable data-capture form (HTML) for a given submission session — typically embedded in storefront landing pages.

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Path parameters

Name Type Description
formID * string
sID * string

Responses

{
  "submissionKey": "xyz987654",
  "fields": [
    { 
        "name": "name", 
        "label": "Nome", 
        "type": "text", 
        "required": true
    },
    { 
        "name": "email", 
        "label": "E-mail", 
        "type": "email", 
        "required": true
    },
    { 
        "name": "phone", 
        "label": "Telefone", 
        "type": "text", 
        "required": false
    }
  ]
}
Copied to clipboard